[Vm-dev] [commit][3392] Fix a syntax error in 64-bit linux build.

commits at squeakvm.org commits at squeakvm.org
Sun Jun 28 19:15:21 UTC 2015


Revision: 3392
Author:   eliot
Date:     2015-06-28 12:15:19 -0700 (Sun, 28 Jun 2015)
Log Message:
-----------
Fix a syntax error in 64-bit linux build. Update scripts to upload Newspeak ARM.

Modified Paths:
--------------
    branches/Cog/build.linux64x64/squeak.stack.spur/build/mvm
    branches/Cog/scripts/mkspurvmarchives

Added Paths:
-----------
    branches/Cog/scripts/mklinuxarchive

Modified: branches/Cog/build.linux64x64/squeak.stack.spur/build/mvm
===================================================================
--- branches/Cog/build.linux64x64/squeak.stack.spur/build/mvm	2015-06-27 18:55:10 UTC (rev 3391)
+++ branches/Cog/build.linux64x64/squeak.stack.spur/build/mvm	2015-06-28 19:15:19 UTC (rev 3392)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # Stack Spur VM with VM profiler and threaded heartbeat
 INSTALLDIR=stkspur64linuxht
-OPT="-g -O1 -fwrapv -DNDEBUG -DDEBUGVM=0";;
+OPT="-g -O1 -fwrapv -DNDEBUG -DDEBUGVM=0"
 
 if [ $# -ge 1 ]; then
 	INSTALLDIR="$1"; shift

Added: branches/Cog/scripts/mklinuxarchive
===================================================================
--- branches/Cog/scripts/mklinuxarchive	                        (rev 0)
+++ branches/Cog/scripts/mklinuxarchive	2015-06-28 19:15:19 UTC (rev 3392)
@@ -0,0 +1,72 @@
+#!/bin/sh
+# Create one or more linux archives from VM trees in products.
+# Output a check of version numbers etc to products/MLALOG
+IFS="	
+"
+cd `dirname $0`/../products
+
+REV=
+TAG=
+EXES=
+
+while [ -n "$1" ]; do
+	case $1 in
+	-r)		shift;REV="$1";;
+	-t)		shift;TAG="$1";;
+	-?|-h)  echo usage: $0 [-r REV -t TAG] [directories]
+			exit 0;;
+	-*)	echo usage: $0 [-r REV -t TAG] [directories]
+		exit 1;;
+	*)	break
+	esac
+done
+test -n "$REV" || REV=`grep 'SvnRawRevisionString.*Rev:' ../platforms/Cross/vm/sqSCCSVersion.h \
+	| sed 's/^.*Rev: \([0-9][0-9]*\) $";/\1/'`
+test -n "$TAG" || TAG=`date +%y.%U.`$REV
+echo REV=$REV TAG=$TAG
+
+if [ $# = 0 ]; then
+	for f in *linux*/lib/*/*-$REV; do
+		d="`dirname \`dirname \\\`dirname $f\\\`\``"
+		case $d in
+		nscog*)	archive="`echo $d |  | sed 's/nscog/nsvm/'`";;
+		*)		archive=$d
+		esac
+		exe="`basename \`dirname $f\``"
+		rm -rf $archive-$TAG.tgz
+		echo $d '=>' $archive-$TAG.tgz
+		COPYFILE_DISABLE=1 tar czf $archive-$TAG.tgz $d
+		EXES="$EXES	$d/lib/$exe/[0-9.-]*/$exe"
+	done
+else
+	for d in $*; do
+		d="`basename $d`" # allow products/blah
+		if [ -d "$d" ]; then
+			f=$d/lib/*/*-$REV
+			if [ -d $f ]; then
+				exe="`basename \`dirname $f\``"
+				case $d in
+				nscog*)	archive="`echo $d |  | sed 's/nscog/nsvm/'`";;
+				*)		archive=$d
+				esac
+				rm -rf $archive-$TAG.tgz
+				echo $d '=>' $archive-$TAG.tgz
+				COPYFILE_DISABLE=1 tar czf $archive-$TAG.tgz $d
+				EXES="$EXES	$d/lib/$exe/[0-9.-]*/$exe"
+			else
+				echo $0: could not find bin dir in $archive
+			fi
+		else
+			echo $0: could not find directory $archive
+		fi
+	done
+fi
+echo $EXES
+for vm in $EXES
+do
+	echo
+	echo checking $vm version
+	strings - $vm | egrep '\$Rev: |Interp.*VMMaker|Cogit.*VMMaker| built on ' | sed 's/ uuid:.*//'
+	echo checking $vm for asserts
+	strings - $vm | grep "assert[^0-9]*[0-9][0-9][0-9]"
+done 2>&1 | tee MLALOG


Property changes on: branches/Cog/scripts/mklinuxarchive
___________________________________________________________________
Added: svn:executable
   + *

Modified: branches/Cog/scripts/mkspurvmarchives
===================================================================
--- branches/Cog/scripts/mkspurvmarchives	2015-06-27 18:55:10 UTC (rev 3391)
+++ branches/Cog/scripts/mkspurvmarchives	2015-06-28 19:15:19 UTC (rev 3392)
@@ -58,8 +58,8 @@
 	done
 fi
 if [ -n "$NL" ]; then
-	set -- nscogspurlinux nscogspurlinuxht
-	for archive in nsvmspurlinux nsvmspurlinuxht; do
+	set -- nscogspurlinux nscogspurlinuxht nscogspurlinuxhtARM
+	for archive in nsvmspurlinux nsvmspurlinuxht nsvmspurlinuxhtARM; do
 		rm -rf $archive-$TAG.tgz
 		echo $1 '=>' $archive-$TAG.tgz
 		COPYFILE_DISABLE=1 tar czf $archive-$TAG.tgz $1



More information about the Vm-dev mailing list